/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2024 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;


/**
 * 计划场景用例节点任务表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2024-07-03 18:59:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划场景用例节点任务表")
public class AtuPlanSceneCaseTask extends Partition implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_taskId = "taskId";
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_versionId = "versionId";
  public static final String KEY_versionName = "versionName";
  public static final String KEY_scriptName = "scriptName";
  public static final String KEY_scriptJson = "scriptJson";
  public static final String KEY_nodeId = "nodeId";
  public static final String KEY_nodeType = "nodeType";
  public static final String KEY_nodeParams = "nodeParams";
  public static final String KEY_prevNodeId = "prevNodeId";
  public static final String KEY_nextNodeId = "nextNodeId";
  public static final String KEY_lineId = "lineId";
  public static final String KEY_engineId = "engineId";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_appId = "appId";
  public static final String KEY_status = "status";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_endTime = "endTime";
  public static final String KEY_errorMsg = "errorMsg";
  public static final String KEY_videoUrl = "videoUrl";
  public static final String KEY_execResultFile = "execResultFile";
  public static final String KEY_perDataPath = "perDataPath";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_lastHeartbeatTime = "lastHeartbeatTime";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 任务主键<br>
   */
  @ApiModelProperty("任务主键")
  @Size(max = 32, message="任务主键-taskId: 数据长度不能 > 32" )
  private String taskId;
  /**
   * 脚本主键<br>
   */
  @ApiModelProperty("脚本主键")
  @Size(max = 32, message="脚本主键-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * 脚本版本id<br>
   */
  @ApiModelProperty("脚本版本id")
  private Integer versionId;
  /**
   * 脚本版本名称<br>
   */
  @ApiModelProperty("脚本版本名称")
  @Size(max = 255, message="脚本版本名称-versionName: 数据长度不能 > 255" )
  private String versionName;
  /**
   * 脚本名称<br>
   */
  @ApiModelProperty("脚本名称")
  @Size(max = 90, message="脚本名称-scriptName: 数据长度不能 > 90" )
  private String scriptName;
  /**
   * 脚本存放地址<br>
   */
  @ApiModelProperty("脚本存放地址")
  @Size(max = 100, message="脚本存放地址-scriptJson: 数据长度不能 > 100" )
  private String scriptJson;
  /**
   * 节点编号<br>
   */
  @ApiModelProperty("节点编号")
  @Size(max = 32, message="节点编号-nodeId: 数据长度不能 > 32" )
  private String nodeId;
  /**
   * 节点类型;1-接口，2-PC/BS，3-PC/CS，4-安卓，5-ios<br>
   */
  @ApiModelProperty("节点类型;1-接口，2-PC/BS，3-PC/CS，4-安卓，5-ios")
  @Size(max = 1, message="节点类型;1-接口，2-PC/BS，3-PC/CS，4-安卓，5-ios-nodeType: 数据长度不能 > 1" )
  private String nodeType;
  /**
   * 节点参数<br>
   */
  @ApiModelProperty("节点参数")
  @Size(max = 65535, message="节点参数-nodeParams: 数据长度不能 > 65535" )
  private String nodeParams;
  /**
   * 上一节点编号<br>
   */
  @ApiModelProperty("上一节点编号")
  @Size(max = 32, message="上一节点编号-prevNodeId: 数据长度不能 > 32" )
  private String prevNodeId;
  /**
   * 下一节点编号<br>
   */
  @ApiModelProperty("下一节点编号")
  @Size(max = 32, message="下一节点编号-nextNodeId: 数据长度不能 > 32" )
  private String nextNodeId;
  /**
   * 下一节点线编号<br>
   */
  @ApiModelProperty("下一节点线编号")
  @Size(max = 32, message="下一节点线编号-lineId: 数据长度不能 > 32" )
  private String lineId;
  /**
   * 引擎主键<br>
   */
  @ApiModelProperty("引擎主键")
  @Size(max = 32, message="引擎主键-engineId: 数据长度不能 > 32" )
  private String engineId;
  /**
   * 设备主键<br>
   */
  @ApiModelProperty("设备主键")
  @Size(max = 128, message="设备主键-deviceId: 数据长度不能 > 128" )
  private String deviceId;
  /**
   * 应用主键<br>
   */
  @ApiModelProperty("应用主键")
  @Size(max = 32, message="应用主键-appId: 数据长度不能 > 32" )
  private String appId;
  /**
   * 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时<br>
   */
  @ApiModelProperty("状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时")
  @Size(max = 1, message="状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时-status: 数据长度不能 > 1" )
  private String status;
  /**
   * 开始时间<br>
   */
  @ApiModelProperty("开始时间")
  private Long startTime;
  /**
   * 结束时间<br>
   */
  @ApiModelProperty("结束时间")
  private Long endTime;
  /**
   * 错误信息<br>
   */
  @ApiModelProperty("错误信息")
  @Size(max = 65535, message="错误信息-errorMsg: 数据长度不能 > 65535" )
  private String errorMsg;
  /**
   * 视频地址<br>
   */
  @ApiModelProperty("视频地址")
  @Size(max = 255, message="视频地址-videoUrl: 数据长度不能 > 255" )
  private String videoUrl;
  /**
   * 执行结果文件<br>
   */
  @ApiModelProperty("执行结果文件")
  @Size(max = 512, message="执行结果文件-execResultFile: 数据长度不能 > 512" )
  private String execResultFile;
  /**
   * 任务性能数据文件存放地址<br>
   */
  @ApiModelProperty("任务性能数据文件存放地址")
  @Size(max = 128, message="任务性能数据文件存放地址-perDataPath: 数据长度不能 > 128" )
  private String perDataPath;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 执行心跳时间<br>
   */
  @ApiModelProperty("执行心跳时间")
  private Date lastHeartbeatTime;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 任务主键<br>
   */
  public String getTaskId()
  {
      return taskId;
    }

  /**
   * 任务主键<br>
   *
   * @param taskId 任务主键
   */
  public void setTaskId(String taskId)
  {
      this.taskId = taskId;
    }
  /**
   * 脚本主键<br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * 脚本主键<br>
   *
   * @param scriptId 脚本主键
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * 脚本版本id<br>
   */
  public Integer getVersionId()
  {
      return versionId;
    }

  /**
   * 脚本版本id<br>
   *
   * @param versionId 脚本版本id
   */
  public void setVersionId(Integer versionId)
  {
      this.versionId = versionId;
    }
  /**
   * 脚本版本名称<br>
   */
  public String getVersionName()
  {
      return versionName;
    }

  /**
   * 脚本版本名称<br>
   *
   * @param versionName 脚本版本名称
   */
  public void setVersionName(String versionName)
  {
      this.versionName = versionName;
    }
  /**
   * 脚本名称<br>
   */
  public String getScriptName()
  {
      return scriptName;
    }

  /**
   * 脚本名称<br>
   *
   * @param scriptName 脚本名称
   */
  public void setScriptName(String scriptName)
  {
      this.scriptName = scriptName;
    }
  /**
   * 脚本存放地址<br>
   */
  public String getScriptJson()
  {
      return scriptJson;
    }

  /**
   * 脚本存放地址<br>
   *
   * @param scriptJson 脚本存放地址
   */
  public void setScriptJson(String scriptJson)
  {
      this.scriptJson = scriptJson;
    }
  /**
   * 节点编号<br>
   */
  public String getNodeId()
  {
      return nodeId;
    }

  /**
   * 节点编号<br>
   *
   * @param nodeId 节点编号
   */
  public void setNodeId(String nodeId)
  {
      this.nodeId = nodeId;
    }
  /**
   * 节点类型;1-接口，2-PC/BS，3-PC/CS，4-安卓，5-ios<br>
   */
  public String getNodeType()
  {
      return nodeType;
    }

  /**
   * 节点类型;1-接口，2-PC/BS，3-PC/CS，4-安卓，5-ios<br>
   *
   * @param nodeType 节点类型;1-接口，2-PC/BS，3-PC/CS，4-安卓，5-ios
   */
  public void setNodeType(String nodeType)
  {
      this.nodeType = nodeType;
    }
  /**
   * 节点参数<br>
   */
  public String getNodeParams()
  {
      return nodeParams;
    }

  /**
   * 节点参数<br>
   *
   * @param nodeParams 节点参数
   */
  public void setNodeParams(String nodeParams)
  {
      this.nodeParams = nodeParams;
    }
  /**
   * 上一节点编号<br>
   */
  public String getPrevNodeId()
  {
      return prevNodeId;
    }

  /**
   * 上一节点编号<br>
   *
   * @param prevNodeId 上一节点编号
   */
  public void setPrevNodeId(String prevNodeId)
  {
      this.prevNodeId = prevNodeId;
    }
  /**
   * 下一节点编号<br>
   */
  public String getNextNodeId()
  {
      return nextNodeId;
    }

  /**
   * 下一节点编号<br>
   *
   * @param nextNodeId 下一节点编号
   */
  public void setNextNodeId(String nextNodeId)
  {
      this.nextNodeId = nextNodeId;
    }
  /**
   * 下一节点线编号<br>
   */
  public String getLineId()
  {
      return lineId;
    }

  /**
   * 下一节点线编号<br>
   *
   * @param lineId 下一节点线编号
   */
  public void setLineId(String lineId)
  {
      this.lineId = lineId;
    }
  /**
   * 引擎主键<br>
   */
  public String getEngineId()
  {
      return engineId;
    }

  /**
   * 引擎主键<br>
   *
   * @param engineId 引擎主键
   */
  public void setEngineId(String engineId)
  {
      this.engineId = engineId;
    }
  /**
   * 设备主键<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * 设备主键<br>
   *
   * @param deviceId 设备主键
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * 应用主键<br>
   */
  public String getAppId()
  {
      return appId;
    }

  /**
   * 应用主键<br>
   *
   * @param appId 应用主键
   */
  public void setAppId(String appId)
  {
      this.appId = appId;
    }
  /**
   * 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时<br>
   */
  public String getStatus()
  {
      return status;
    }

  /**
   * 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时<br>
   *
   * @param status 状态;0-等待中，1-执行中，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时
   */
  public void setStatus(String status)
  {
      this.status = status;
    }
  /**
   * 开始时间<br>
   */
  public Long getStartTime()
  {
      return startTime;
    }

  /**
   * 开始时间<br>
   *
   * @param startTime 开始时间
   */
  public void setStartTime(Long startTime)
  {
      this.startTime = startTime;
    }
  /**
   * 结束时间<br>
   */
  public Long getEndTime()
  {
      return endTime;
    }

  /**
   * 结束时间<br>
   *
   * @param endTime 结束时间
   */
  public void setEndTime(Long endTime)
  {
      this.endTime = endTime;
    }
  /**
   * 错误信息<br>
   */
  public String getErrorMsg()
  {
      return errorMsg;
    }

  /**
   * 错误信息<br>
   *
   * @param errorMsg 错误信息
   */
  public void setErrorMsg(String errorMsg)
  {
      this.errorMsg = errorMsg;
    }
  /**
   * 视频地址<br>
   */
  public String getVideoUrl()
  {
      return videoUrl;
    }

  /**
   * 视频地址<br>
   *
   * @param videoUrl 视频地址
   */
  public void setVideoUrl(String videoUrl)
  {
      this.videoUrl = videoUrl;
    }
  /**
   * 执行结果文件<br>
   */
  public String getExecResultFile()
  {
      return execResultFile;
    }

  /**
   * 执行结果文件<br>
   *
   * @param execResultFile 执行结果文件
   */
  public void setExecResultFile(String execResultFile)
  {
      this.execResultFile = execResultFile;
    }
  /**
   * 任务性能数据文件存放地址<br>
   */
  public String getPerDataPath()
  {
      return perDataPath;
    }

  /**
   * 任务性能数据文件存放地址<br>
   *
   * @param perDataPath 任务性能数据文件存放地址
   */
  public void setPerDataPath(String perDataPath)
  {
      this.perDataPath = perDataPath;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 执行心跳时间<br>
   */
  public Date getLastHeartbeatTime()
  {
      if(lastHeartbeatTime != null)
    {
      return (Date)lastHeartbeatTime.clone();
    }
    return null;
    }

  /**
   * 执行心跳时间<br>
   *
   * @param lastHeartbeatTime 执行心跳时间
   */
  public void setLastHeartbeatTime(Date lastHeartbeatTime)
  {
      if(lastHeartbeatTime != null)
    {
      this.lastHeartbeatTime = (Date)lastHeartbeatTime.clone();
    }
    }

  public AtuPlanSceneCaseTask()
  {
  }

}
